## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# All of the tests require either docker, network access, or both.
%bcond_with  tests

%global         reponame    azure-sdk-for-python
%global         srcname     azure-servicebus

Name:           python-%{srcname}
Version:        7.12.2
Release:        %autorelease
Summary:        Microsoft Azure Service Bus Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch


BuildRequires:  python3-devel

# For import checks.
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(certifi)

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-identity)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-mgmt-servicebus)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Service Bus Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md migration_guide.md README.md samples


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 7.12.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.12.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 7.12.2-2
- Rebuilt for Python 3.13

* Wed May 29 2024 Jeremy Cline <jeremycline@microsoft.com> - 7.12.2-1
- Update to version 7.12.2

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.11.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.11.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 7.11.1-4
- Add terminal newline to packit config

* Mon Dec 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 7.11.1-3
- Quote the upstream_tag_template in the packit config

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Major Hayden <major@redhat.com> - 7.11.1-1
- Update to 7.11.1 rhbz#2222466

* Tue Jul 04 2023 Python Maint <python-maint@redhat.com> - 7.6.1-9
- Rebuilt for Python 3.12

* Wed May 17 2023 Major Hayden <major@redhat.com> - 7.6.1-8
- Migrated to SPDX license

* Mon May 08 2023 Major Hayden <major@redhat.com> - 7.6.1-7
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 08 2022 Major Hayden <major@redhat.com> - 7.6.1-4
- Add testing conditional for epel9

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 7.6.1-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 7.6.1-2
- Rebuilt for Python 3.11

* Mon May 23 2022 Major Hayden <major@mhtx.net> - 7.6.1-1
- Initial import (#2087202)
## END: Generated by rpmautospec
